Package com.sas.lsaf.security.user

## Class LicenseType

- java.lang.Object
- - com.sas.lsaf.security.user.LicenseType

- All Implemented Interfaces:
    `java.io.Serializable`

      public class LicenseType
      extends java.lang.Object
      implements java.io.Serializable

  Metadata representation of a license type within the system. License types are not enforced with quotas or any other licensing restrictions. License types are currently just a means of tagging accounts to track for licensing purposes.
  Since:
    1.2
  See Also:
    `AccountInfo.getLicenseTypeId()`, `UserService.getLicenseTypes()`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LicenseType​(java.lang.String id, java.lang.String name, java.lang.String description)` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.lang.String` | `getDescription()` | Gets the description for the license type.
    `java.lang.String` | `getId()` | Gets the unique identifier for the license type.
    `java.lang.String` | `getName()` | Gets the name for the license type.
    `int` | `hashCode()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LicenseType

          public LicenseType​(java.lang.String id,
                             java.lang.String name,
                             java.lang.String description)

      Constructor.
      Parameters:
        `id` - the unique idntifier for the license type.
        `name` - the name for the license type.
        `description` - the description for the license type.

  - ### Method Detail

    - #### getId

          public java.lang.String getId()

      Gets the unique identifier for the license type.
      Returns:
        The unique identifier for the license type.

    - #### getName

          public java.lang.String getName()

      Gets the name for the license type.
      Returns:
        The name for the license type.

    - #### getDescription

          public java.lang.String getDescription()

      Gets the description for the license type.
      Returns:
        The description for the license type.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`